Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libgail-gnome-devel-1.20.4-6.1.2 RPM for i586

From OpenSuSE 12.2 for i586

Name: libgail-gnome-devel Distribution: openSUSE 12.2
Version: 1.20.4 Vendor: openSUSE
Release: 6.1.2 Build date: Mon Jul 16 09:45:57 2012
Group: System/GUI/GNOME Build host: build15
Size: 247 Source RPM: libgail-gnome-1.20.4-6.1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.gnome.org/
Summary: GNOME Accessibility Implementation Library for gnomeui and libbonoboui
This package contains an implementation of the ATK interfaces for GNOME
widgets.

Provides

Requires

License

LGPL-2.1+

Changelog

* Fri May 27 2011 vuntz@opensuse.org
  - Fix the build by removing support for panel applets from the GTK+
    module:
    + rationale: this support is for bonobo applets, that are gone
      with GNOME 3.
    + this is a better solution than just removing the package, as
      the GTK+ module provides accessibility support for other
      libraries than just the panel applet.
    + introduce a %build_applet define to easily control this
      behavior, in case we get the libpanel-applet-2 library back
      later on.
    + add libgail-no-applet.patch to remove the code.
    + conditionally use pkgconfig(libpanelapplet-2.0) BuildRequires
      and apply above patch, based on %build_applet.
  - Drop libgail-gnome-decl.patch: this is not needed as
    panel_applet_accessible_new() not mentioned anywhere in the code.
  - Remove explicit Requires for atk-devel, gtk2-devel,
    libbonoboui-devel in devel subpackage: they will automatically be
    added the pkgconfig() way.
* Wed May 18 2011 dimstar@opensuse.org
  - Update to version 1.20.4:
    + bgo#643173: init bonobo before use it.
  - Change gnome-panel-devel BuildRequires to
    pkgconfig(libpanelapplet-2.0).
  - Clean spec file with spec-cleaner.
* Fri Feb 18 2011 vuntz@opensuse.org
  - Add libgail-no-bonobo-applet-in-panel.patch: if the module is
    used inside gnome-panel, then we don't want to touch anything
    applet-related in the module. This is a ugly hack to avoid a
    deadlock in gnome-panel. This fixes bnc#667873.
  - Add call to autoreconf, needed for the patch.
* Wed Jul 21 2010 vuntz@opensuse.org
  - Add gconf2-devel BuildRequires.
* Tue Jul 13 2010 dimstar@opensuse.org
  - Update to version 1.20.3:
    + bgo#622284: install gconf key to load the module
  - Adjust spec file for schema treatment.
  - Remove unneeded call to autoreconf.
* Tue Mar 30 2010 vuntz@opensuse.org
  - Update to version 1.20.2:
    + bgo#563684: Clean up GLib and GTK+ includes
  - Use makeinstall macro.
  - Pass --disable-static to configure.
* Mon Feb 01 2010 jengelh@medozas.de
  - Package baselibs.conf
* Mon Nov 16 2009 aj@suse.de
  - Regenerate patches to apply cleanly.
* Tue Nov 25 2008 sbrabec@suse.cz
  - Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164).
* Tue Sep 23 2008 maw@suse.de
  - Update to version 1.20.1:
    + Bug fixed: bgo#502793.

Files

/usr/lib/pkgconfig/libgail-gnome.pc


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Apr 10 13:46:08 2014